/* Esercizi del 23/02/09
 * 
 * Test di primalita' di un intero. 
* 
 * Si consideri che ogni numero composto e' il prodotto
 * di almeno 2 primi. Si supponga che siano tutti maggiori
 * di sqrt(n). Quindi prendendone due a caso, diciamo a e b,
 * a*b > sqrt(n)*sqrt(n) > n, che e' impossibile.
 * Pertanto, deve esistere almeno un fattore minore o uguale
 * a sqrt(n).
 */
#include <stdio.h>
#include <math.h>

int main()
{
  int n, fattore, primo = 1;
  int limite;
  
  scanf("%d", &n );
  fattore = 2; 
  limite = (int)sqrt(n);
  while( primo && fattore <= limite )
  {
    if ( (n % fattore) == 0 ) primo = 0;
    fattore++;
  }

   /* scrittura alternativa:
    *
    * for ( i = 2 ; i < n && n % i; i++ )
    *              ;
    * primo = (i == n);
    */

   if ( primo ) printf("SI\n"); 
   else printf("NO\n");

   return 0;
}


